Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 57326 - `macro-ization' of spec files generated by cpanflute
`macro-ization' of spec files generated by cpanflute
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 09:40 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 17:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
`macro-ization' of spec files generated by cpanflute (4.10 KB, text/plain)
2001-12-10 09:50 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-12-10 09:40:26 EST
When creating (s)rpm's from perl modules I use a slightly
modified version of the cpanflute script found in the
rpm-build-4.0.3-1.03 package.

The purpose of the `macro-ization' of the generated spec file 
is to minimize the changes people need to make to the spec file
when they update a package in between redhat releases.

Please do a diff with /usr/lib/rpm/cpanflute and change what you like.
Comment 1 Need Real Name 2001-12-10 09:50:12 EST
Created attachment 40267 [details]
`macro-ization' of spec files generated by cpanflute
Comment 2 Jeff Johnson 2002-02-24 12:28:27 EST
rpm-4.0.4 contains a cpanflute2 script that
will be used in the future. In addition,
this script will end up in a CPAN package,
not in rpm-build in the future, so I'm gonna
assign to the guy who wrote cpanflute2.
Comment 3 Bill Nottingham 2005-09-29 17:45:31 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.